Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
nombre réponses : 25

#0 Re : -1 »  Nouveautés dans Vivid » Le 26/11/2014, à 16:51

louis94
Réponses : 293
oni_shadow a écrit :

un dpkg --configure -a me dit que j'ai des soucis avec kate-data, qu'est-ce donc? je suppose que cela n'a pas de rapport avec kate du kubuntu etant donné que je n'ai pas (normalement) téléchargé des paquets Qt
sudo apt full-upgrade -f ne donne rien non plus je vais peut etre tester avec aptitude qui est plus bavard des que j'ai un instant.

kate-data, ce sont entre autres les définitions de coloration syntaxique de Kate. Peut-être qu'un autre éditeur de texte les utilise.

Louis

#1 Re : -1 »  Nouveautés dans Vivid » Le 28/11/2014, à 21:22

louis94
Réponses : 293

Est-ce que quelqu'un sait s'il y a des discussions sur l'ajout de widgets dans la barre des fenêtres pour Unity ? Que ce soit côté client, comme Gnome, ou côté serveur, comme peut-être un jour Kde ?

Louis

#2 Re : -1 »  No bootable device dans Acer Aspire ES1-111M-C9VZ » Le 03/12/2014, à 02:55

louis94
Réponses : 33

Bonjour,

Il est possible qu'Ubuntu ne reconnaisse pas la carte USB de ton ordi comme étant une version 3. Dans ce cas de figure, il est normal que tout soit lent, puisque la clef fonctionnerait en version 1.1, soit 1,5 Mo/s au maximum. Donc si tu parviens à refaire une clef qui démarre, il pourrait suffire d'attendre très longtemps...

Louis

#3 Re : -1 »  Je veux un programme de programmation » Le 08/03/2015, à 18:17

louis94
Réponses : 6

Bonjour,

Code::Blocks fonctionne très bien sous Linux. Il suffit d'installer le paquet codeblocks.

Louis

#4 Re : -1 »  Je veux un programme de programmation » Le 08/03/2015, à 23:19

louis94
Réponses : 6

Si tu n'as pas accès à Internet avec ton ordinateur, tu peux télécharger directement les paquets nécessaires. On peut t'aider à en faire la liste. L'installation d'un programme nécessite en général de télécharger plusieurs paquets (ce qui permet de n'installer qu'une seule fois les morceaux communs à plusieurs programmes).
Les gestionnaires de paquets comme Synaptic ou Muon (et la Logithèque) sont assez malins pour retrouver tous seuls la liste des paquets à installer (dépendances). C'est donc le moyen le plus simple.

#5 Re : -1 »  ROOT analyse des donneés » Le 14/02/2015, à 17:43

louis94
Réponses : 3

Bonjour,

Pourrais-tu poster un code minimal pour reproduire le crash ? Je ne comprends pas ce que tu veux dire par "écrire des instances", et je ne sais pas ce que fait le constructeur de ta classe A.
Ce que je peux dire, c'est que tu essayes probablement d'accéder à des données qui ont déjà été supprimées ou qui ne sont pas encore chargées - bref, qui n'existent pas.

Louis

#6 Re : -1 »  ROOT analyse des donneés » Le 14/02/2015, à 23:09

louis94
Réponses : 3

Sais-tu comment "./exectutable" fonctionne ? Ce que fait "input_macro" ? D'où viennent ces programmes ?
Comment essayes-tu d'ouvrir le fichier ROOT ? Avec du code C++, en cliquant dessus ?
Il est difficile de résoudre un problème posé si vaguement.

#7 Re : -1 »  C'est quoi vos adresses de news fraiches? » Le 02/02/2015, à 18:33

louis94
Réponses : 1

Bonjour,

Je suis me suis abonné aux flux RSS des logiciels qui m'intéressent, quand il y en a. Par exemple, Planet Kde, Linux.com... Si je ne trouve pas de RSS et que le projet m'intéresse vraiment, je vais de temps en temps voir sur le site.

Louis

#8 Re : -1 »  [C++ QT] Détecter l'appuie d'une touche dans un QLineEdit » Le 30/01/2015, à 00:18

louis94
Réponses : 2

Bonjour,

Utilise un des deux signaux suivants :

QLineEdit::returnPressed()
QLineEdit::textChanged(const QString &text)

La documentation complète de QLineEdit est disponible ici (en anglais). Je ne pense pas qu'il en existe de version française.

Louis

#9 Re : -1 »  Choix config : intel hd graphic ou amd A » Le 20/01/2015, à 14:17

louis94
Réponses : 7

Bonjour,

Si on ne joue pas, toutes les cartes graphiques récentes se valent niveau performance. Par contre, un meilleur processeur peut faire une grande différence. À noter aussi qu'il est possible (sur une tour) d'ajouter une carte graphique après quelques années, alors que changer le processeur devient vite difficile, puis impossible. Selon PassMark (il faut toujours prendre ces notations pour ce qu'elles sont, c'est-à-dire un test de la puissance du processeur d'une certaine façon, peut-être non représentative), le processeur AMD auquel tu penses est au niveau d'un i3 actuel.

J'ai eu des problèmes pour la configuration de cartes AMD. Catalyst me laisse un très mauvais souvenir (difficile à activer, puis à supprimer), mais je ne m'y suis plus risqué depuis quelque temps (le pilote libre me suffit).

Je choisirais l'Intel pour sa performance, en gardant en tête que si un jour la carte graphique devient faible, je peux toujours en ajouter une (peut-être dans 4-5 ans, c'est-à-dire a priori bien plus performante qu'aujourd'hui, pour le même prix).

Louis

#10 Re : -1 »  [RESOLU] Chrome sous Lubuntu 14.10 - activation javascript » Le 10/01/2015, à 14:58

louis94
Réponses : 8

Bonjour,

Tu peux donner un exemple de site ?

Louis

#11 Re : -1 »  [RESOLU] Chrome sous Lubuntu 14.10 - activation javascript » Le 10/01/2015, à 15:41

louis94
Réponses : 8

Je n'ai pas ce message, difficile donc de t'aider.
Si tu as installé des extensions, essaye de les désactiver une à une.

Louis

#12 Re : -1 »  [RESOLU] Chrome sous Lubuntu 14.10 - activation javascript » Le 10/01/2015, à 16:02

louis94
Réponses : 8

C'est une erreur de la part de PMU : ils essayent de charger du contenu transmis en HTTP alors que la page est en HTTPS.

Chromium (≃ Chrome) bloque intentionnellement ce type de contenu. En effet, il serait possible de pirater la connexion HTTP, ce qui rendrait caduque la protection liée à l'usage de HTTPS.

Louis

#13 Re : -1 »  Mémoire résiduelle Java » Le 27/12/2014, à 17:48

louis94
Réponses : 3

Bonjour,

Si un serveur est démarré, il a besoin d'un minimum de mémoire.
Il n'est pas possible de demander à Java de vider sa mémoire, c'est fait automatiquement. Si Minecraft continue à utiliser tant de mémoire, c'est soit un bogue, soit qu'il en a vraiment besoin (quelle est la consommation juste après qu'il a démarré?)

À noter que si le noyau détecte que d'une partie de la mémoire n'est pas utilisée, elle aura beaucoup plus de chances de se retrouver dans l'espace d'échange si la RAM vient à manquer.

Louis

#14 Re : -1 »  Outils Wacom absents sur Plasma 5 » Le 23/12/2014, à 14:34

louis94
Réponses : 2

Bonjour,

Absence momentanée. Quelqu'un s'est proposé aujourd'hui pour effectuer le portage vers les Frameworks 5.

Louis

#15 Re : -1 »  [RESOLU] champ de recherche firefox disparu » Le 16/12/2014, à 22:22

louis94
Réponses : 3

Bonjour,

Ouvre le menu (en haut à droite), puis Personnaliser ; fais glisser le champ "Recherche" à sa place.

Louis

#16 Re : -1 »  Comment lire fichier .dsf? » Le 30/11/2014, à 23:22

louis94
Réponses : 10

Bonjour,

Avant de te répondre, je dois faire un peu d'histoire. En 2011, une bibliothèque logicielle était dominante dans le domaine du décodage audio/vidéo : ffmpeg. Seulement, des développeurs insatisfaits ont décidé de forker le projet et ont créé libav. Les deux sont incompatibles et ne peuvent être installés simultanément. Debian (et Ubuntu) a décidé d'utiliser libav et non ffmpeg.

Le codec DSD, sur lequel sont basés les fichiers DSF, n'est semble-t-il pas supporté par libav. Il l'est par ffmpeg. Donc, lire ces fichiers, c'est tout à fait possible, mais à ma connaissance pas sous Ubuntu. Sous Fedora, OpenSuse ou autre, sans soucis.

Louis

#17 Re : -1 »  Comment lire fichier .dsf? » Le 01/12/2014, à 18:08

louis94
Réponses : 10

Le code pour lire le DSD a été ajouté à ffmpeg le 15 avril 2014. La dernière version, 2.4.4, devrait supporter le format. Les versions 1.x et 2.2.x sont trop anciennes pour ce faire.

La version du ppa est 1.2.6, donc trop ancienne. Il semble cependant y avoir un paquet à jour dans les dépôts (ffmpeg), contrairement à ce que j'avais lu. Reste à savoir comment l'utiliser à la place de libav... je ne sais pas.

Je n'ai pas trouvé la version de ffmpeg d'OpenSuse, mais je peux te confirmer que sur Arch, la conversion fonctionne en ligne de commande wink

Louis

#18 Re : -1 »  Comment lire fichier .dsf? » Le 01/12/2014, à 23:17

louis94
Réponses : 10

Tu peux utiliser Manjaro, qui est basée sur Arch mais est (beaucoup) plus facile à installer. Une fois que tu as un système avec un ffmpeg récent, la commande

ffmpeg -i chemin/vers/fichier.dsf chemin/vers/fichier.mp3

devrait convertir le fichier DSF en MP3. Tu peux changer l'extension pour utiliser un autre format.

Louis

[Le chemin/vers/fichier.dsf est à prendre depuis ton dossier personnel.]

#19 Re : -1 »  Correcteur en temps réel dans Kate » Le 28/11/2014, à 17:48

louis94
Réponses : 1

Bonjour,

Non, pas dans Kate à ma connaissance. Kate est un éditeur de texte (très avancé), pas un IDE. Si tu cherches un programme comparable à VS, Wikipédia offre une page de comparaison.

De ceux que je connais,

  • KDevelop est prévu pour de grands projets, et je le trouve un peu difficile à prendre en main. Dans mon expérience, il est aussi un peu instable (ça a pu s'améliorer depuis) ;

  • Eclipse est très complet et facile à utiliser. Je ne l'ai jamais utilisé avec du C, par contre ;

  • Qt Creator est très facile à prendre en main, mais orienté vers C++ et Qt. Il reste possible de coder en C, je pense.

Louis

#20 Re : -1 »  compiler à partir de Kate » Le 28/11/2014, à 17:36

louis94
Réponses : 2

Bonjour,

gcc -o programme programme.c && ./programme

En utilisant la touche [↑] dans le terminal, tu peux taper la commande une fois et l'exécuter à loisir.

Sinon, tu peux utiliser Make et le greffon correspondant (Configuration > Modules externes > Module externe de compilation), qui analyse les erreurs automatiquement. Tu auras alors un fichier en plus, mais ça deviendra vite indispensable quand tes projets grandiront (imagine la ligne précédente avec 10 fichiers...).

Louis

#21 Re : -1 »  KDE - Apparition barre de progression » Le 21/11/2014, à 21:12

louis94
Réponses : 5

Bonjour,

J'imagine que tu parles de cette barre :
1416600646.png
Elle s'affiche à plusieurs occasions, dont la plus courante est la copie de fichiers. Elle est là pour t'indiquer où en est la progression de l'opération. Il est possible de la fermer en cliquant sur le disque situé en-dessous (qui affiche "1" sur l'image).
Si tu utilises Konqueror, elle peut aussi s'afficher quand tu ouvres une page qui met du temps à charger.

Louis

#22 Re : -1 »  Firefox ne m'avertit plus de la fermeture de plusiieurs onglets » Le 25/11/2014, à 11:27

louis94
Réponses : 5

Bonjour,

C'est peut-être la faute de
Préférences > Au démarrage de Firefox > Afficher les derniers onglets et fenêtres utilisés.
Du coup, en quittant Firefox, tu ne fermes pas les onglets, puisqu'ils seront rouverts au prochain démarrage.

Louis

#23 Re : -1 »  Firefox ne m'avertit plus de la fermeture de plusiieurs onglets » Le 25/11/2014, à 11:51

louis94
Réponses : 5

Alors, je ne sais pas ce qui cause le problème, parce que chez moi ça fonctionne. Essaye peut-être en désactivant ton profil (tu devras modifier les préférences avant de tester) :

mv .mozilla .mozilla.bak

Pour le activer (il est désactivé si Firefox n'a plus d'historique, de marque-pages, de mots de passe, ...),

rm -r .mozilla
mv .mozilla.bak .mozilla

Louis
Louis

#24 Re : -1 »  programmation, faire un jeu avec le nombre mystère » Le 22/11/2014, à 00:05

louis94
Réponses : 29

La logique du programme que tu as collé au message #20 est bonne.
Il reste des point-virgules mal placés :

if (condition); // <- Pas de point-virgule ici
{
    // ...
}

Des if qui devraient être des do :

if (condition) // <- Il te faut un do ici
{
    // ...
}
while (condition);

Tu as aussi deux blocs inutiles (pire, ils cassent le programme) du type :

int nombreMystere = 0, nombreEntre = 0, compteur = 0, Arreter = 0;
const int MAX = 100, MIN = 1;
srand(time(NULL));
nombreMystere = (rand() % (MAX - MIN + 1)) + MIN;

Je pense que tu as une idée qui fonctionnera (beaucoup de débutants on du mal avec l'idée, donc c'est positif wink), mais il me semble que tu as du mal à la «traduire» en C. Je te suggère de d'abord écrire l'idée sur papier, sans trop t'occuper de la syntaxe. Par exemple, pour le choix de niveau :

faire {
    demander le niveau
} tant que (niveau invalide)

Ensuite, écris-le en C. Si tu rencontres des problèmes, vérifie tes point-virgules etc. Si ça ne fonctionne toujours pas, relis ton code C en te demandant s'il correspond bien à ce que tu as sur ta feuille. Enfin, si tu n'as toujours pas trouvé le bogue, essaye de faire à la main l'exécution de ton programme : quelle variable vaut quoi à quel moment, etc.

Louis